<!-- Navigation -->
<ng-container *ngIf="isScreenSmall">
    <fuse-vertical-navigation
        class="dark bg-gray-900 print:hidden"
        [mode]="'over'"
        [name]="'mainNavigation'"
        [navigation]="navigation.default"
        [opened]="false">
        <!-- Navigation header hook -->
        <ng-container fuseVerticalNavigationContentHeader>
            <!-- Logo -->
            <div class="flex items-center h-20 pt-6 px-8 mb-8">
                <a href="http://localhost:4200/dashboard">
                    <img class="w-40" src="assets/images/logo/srm-logo.svg" alt="SRM Logo">
                </a>
            </div>
        </ng-container>
    </fuse-vertical-navigation>
</ng-container>

<!-- Wrapper -->
<div class="flex flex-col flex-auto w-full min-w-0">

    <!-- Header -->
    <div class="relative flex flex-0 items-center w-full h-14 justify-between px-4 md:px-6 z-49 dark:shadow-none dark:border-b bg-card dark:bg-transparent print:hidden">
        <ng-container *ngIf="!isScreenSmall">
            <!-- Logo -->
            <ng-container *ngIf="!isScreenSmall">
                <div class="flex items-center">
                    <a href="http://localhost:4200/dashboard">
                        <img class="w-32" src="assets/images/logo/srm-logo.svg" alt="SRM Logo">
                    </a>
                </div>
            </ng-container>
            <!-- Horizontal navigation -->
            <fuse-horizontal-navigation
                class="mr-2 flex items-center pl-2 ml-auto space-x-2"
                [name]="'mainNavigation'"
                [navigation]="navigation.horizontal"></fuse-horizontal-navigation>
        </ng-container>
        <!-- Navigation toggle button -->
        <ng-container *ngIf="isScreenSmall">
            <div class="flex">
                <button
                    mat-icon-button
                    (click)="toggleNavigation('mainNavigation')">
                    <mat-icon [svgIcon]="'heroicons_outline:menu'"></mat-icon>
                </button>
                <ng-container>
                    <div class="ml-4">
                        <a href="http://localhost:4200/dashboard">
                            <img class="w-40" src="assets/images/logo/srm-logo.svg" alt="SRM Logo">
                        </a>
                    </div>
                </ng-container>
            </div>

        </ng-container>
        <!-- Components -->
        <div class="flex items-center pl-8 space-x-2">
            <notifications></notifications>
            <user></user>
        </div>
    </div>

    <!-- Content -->
    <div class="flex-auto overflow-y-auto overflow-x-hidden content-area" cdkScrollable>

        <!-- CONTENT GOES HERE -->
        <div class="flex flex-col flex-auto w-full p-6 bg-white dark:bg-card">
            <!-- *ngIf="true" hack is required here for router-outlet to work correctly.
                 Otherwise, layout changes won't be registered and the view won't be updated! -->
            <router-outlet *ngIf="true"></router-outlet>
        </div>

        <!-- Footer -->
        <div class="relative sticky top-full-vh flex flex-0 justify-between w-full px-4 z-49 border-t bg-card print:hidden">
            <div class="flex items-center h-15">
                <languages></languages>English (United States)
            </div>
            <div class="flex items-center h-15">
                <span class="font-medium text-secondary">Xitricon &copy; {{currentYear}}</span>
            </div>
        </div>

    </div>




</div>
